Bug 22849 - mount/remount nfs oddities
Summary: mount/remount nfs oddities
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-26 18:30 UTC by Need Real Name
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-26 18:30:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-12-26 18:30:10 UTC
When using remount on nfs exports, several strange things happen:

#mount
/some/nfs/export on /nfs type nfs
(ro,soft,intr,bg,rsize=8192,wsize=8192,addr=192.168.100.100)

#mount -o remount,rsize=2048,wsize=2048 /nfs
#mount
/some/nfs/export on /nfs type nfs
(ro,soft,intr,bg,rsize=8192,wsize=8192,rsize=2048,wsize=2048,addr=192.168.100.100)

also, if you remount, existing options may be removed:
#mount
/some/nfs/export on /nfs type nfs
(ro,soft,intr,bg,rsize=8192,wsize=8192,addr=192.168.100.100)

#mount -o remount,timeo=20 /nfs
#mount
/some/nfs/export on /nfs type nfs
(ro,soft,intr,bg,rsize=8192,wsize=8192,timeo=20,addr=192.168.100.100)
#mount -o remount,actimeo=60 /nfs
#mount
/some/nfs/export on /nfs type nfs
(ro,soft,intr,bg,rsize=8192,wsize=8192,actimeo=60,addr=192.168.100.100)

I would expect that timeo would not be replaced by actimeo in the second
mount.  Both mount(8) and nfs(5) are silent on what the defined behavior is
supposed to be, but mount does not do this replacement on local
filesystems.  I have also seen mount append multiple "addr=" entries when
doing a remount of an NFS export.

Comment 1 Bernhard Rosenkraenzer 2002-01-17 19:08:37 UTC
Works as expected in 7.2


Note You need to log in before you can comment on or make changes to this bug.